
Redmine - Patch #1207

Redmine::Scm::Adapters::GitAdapter#get_rev ignored GIT_BIN constant

2008-05-08 00:58 - Simone Carletti

Status: Closed Start date: 2008-05-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.7.2   

Description

cmd="git --git-dir #{target('')} show #{shell_quote rev} -- #{shell_quote path}" if rev!='latest' 

and (! rev.nil?)

cmd="git --git-dir #{target('')} log -1 master -- #{shell_quote path}" if 

 This issue causes get_rev calls to fail if someone changed default GIT_BIN path.

Associated revisions

Revision 1428 - 2008-05-13 19:54 - Jean-Philippe Lang

Fixed: Redmine::Scm::Adapters::GitAdapter#get_rev ignored GIT_BIN constant (#1207).

History

#1 - 2008-05-13 19:53 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7.2

Committed in r1428. Thanks.
